let Parse = getApp().Parse;
const company = getApp().globalData.company
Page({

    /**
     * 页面的初始数据
     */
    data: {
        list: null,
        merchant: null,
        id: null,

    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        let merchant = wx.getStorageSync('merchant'); //用户

        // let ShopStore = new Parse.Query('ShopStore')
        // ShopStore.equalTo('user', this.data.merchant.objectId)
        // let res = await ShopStore.first()
        // let id = res.toJSON().objectId
        let id = options.id
        this.setData({
            merchant: merchant,
            id: id
        })
        this.getFood()
    },
    async getFood() {
        let Coupon = new Parse.Query('Food')
        Coupon.equalTo('store', this.data.id)
        Coupon.equalTo('company', company)
        Coupon.include('category')
        let coupon = await Coupon.find()
        if (coupon && coupon.length > 0) {
            let listJSON = []
            coupon.forEach(c => {
                listJSON.push(c.toJSON())
            })

            this.setData({
                list: listJSON
            })
        }
        console.log(this.data.list);
    },

    append() {
        wx.navigateTo({
            url: '/nova-tourism/pages/my/merchant/merchant-home/dishes/dishes-details/index'
        });

    },
    appends(e) {
        let id = e.currentTarget.dataset.item.objectId
        wx.navigateTo({
            url: '/nova-tourism/pages/my/merchant/merchant-home/dishes/dishes-details/index?id=' + id
        });

    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})